Bug 1099595 - PRESET: consider removing rpcbind from presets
Summary: PRESET: consider removing rpcbind from presets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1087951 1129425
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-20 17:20 UTC by Andy Lutomirski
Modified: 2015-02-15 03:05 UTC (History)
10 users (show)

Fixed In Version: systemd-216-20.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:05:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Andy Lutomirski 2014-05-20 17:20:54 UTC
rpcbind.* is enabled in 90-default.preset.  rpcbind listens globally, but it is not useful without explicit configuration.  Please consider removing it from the preset.

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-05-28 14:16:36 UTC
rpcbind doesn't require any configuration by itself. Other services which use rpc information might, but probably not all.
rpcbind has an explicit exception in http://fedoraproject.org/wiki/Starting_services_by_default. I think this is reasoanble compromise, and it should continue to be enabled by default in the presets.

Comment 2 Andy Lutomirski 2014-05-28 18:00:16 UTC
Under the current presets, installing libvirt causes rpcbind to open a listening socket, despite the fact that it's not doing anything useful.  I think this is a problem.  Unless I hear otherwise, I'll file a FESCo ticket asking for the exception to be removed.

Comment 3 Andy Lutomirski 2014-05-29 18:15:26 UTC
FESCo ticket: https://fedorahosted.org/fesco/ticket/1310

Comment 4 Lennart Poettering 2014-06-20 10:30:47 UTC
I am also pretty sure it should stay on. But anyway, let's close this here, there's no point in tracking this at FESCO and here. If FESCO comes to a decision and decides to turn it off, then please reopen this here.

Comment 5 Miloslav Trmač 2014-08-12 12:15:18 UTC
FESCo has decided to turn rpcbind off in  https://fedorahosted.org/fesco/ticket/1310#comment:13 , please update the presets.

Comment 6 Fedora Update System 2015-02-05 20:53:35 UTC
systemd-216-20.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/systemd-216-20.fc21

Comment 7 Fedora Update System 2015-02-07 03:57:42 UTC
Package systemd-216-20.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-216-20.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1793/systemd-216-20.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-15 03:05:47 UTC
systemd-216-20.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.